Skip to content
Start here

Delete logo query

client.BrandProtection.V2.Logos.Delete(ctx, queryID, body) (*V2LogoDeleteResponse, error)
DELETE/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/queries/{query_id}

Delete a saved brand protection logo query. Returns 404 if the query ID doesn’t exist.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One Write
ParametersExpand Collapse
queryID string
minLength1
body V2LogoDeleteParams
AccountID param.Field[string]
minLength1
ReturnsExpand Collapse
type V2LogoDeleteResponse struct{…}
Message string
Success bool

Delete logo query

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  logo, err := client.BrandProtection.V2.Logos.Delete(
    context.TODO(),
    "x",
    brand_protection.V2LogoDeleteParams{
      AccountID: cloudflare.F("x"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", logo.Message)
}
{
  "message": "message",
  "success": true
}
Returns Examples
{
  "message": "message",
  "success": true
}